package com.ruoyi.system.mapper;


import com.ruoyi.system.domain.member.MemberInfo;

import java.util.List;

/**
 * 委员信息Mapper接口
 * 
 * @author boman
 * @date 2024-03-07
 */
public interface MemberInfoMapper 
{
    /**
     * 查询委员信息
     * 
     * @param memberId 委员信息主键
     * @return 委员信息
     */
    public MemberInfo selectMemberInfoByMemberId(Long memberId);
    /**
     * 查询委员信息
     *
     * @param userId 委员账号主键
     * @return 委员信息
     */
    public MemberInfo selectMemberInfoByUserId(Long userId);

    /**
     * 查询委员信息列表
     * 
     * @param memberInfo 委员信息
     * @return 委员信息集合
     */
    public List<MemberInfo> selectMemberInfoList(MemberInfo memberInfo);

    /**
     * 新增委员信息
     * 
     * @param memberInfo 委员信息
     * @return 结果
     */
    public int insertMemberInfo(MemberInfo memberInfo);

    /**
     * 修改委员信息
     * 
     * @param memberInfo 委员信息
     * @return 结果
     */
    public int updateMemberInfo(MemberInfo memberInfo);

    /**
     * 删除委员信息
     * 
     * @param memberId 委员信息主键
     * @return 结果
     */
    public int deleteMemberInfoByMemberId(Long memberId);

    /**
     * 批量删除委员信息
     * 
     * @param memberIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteMemberInfoByMemberIds(Long[] memberIds);
}
